Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class FileUploadConstants

    java.lang.Object
      org.richfaces.component.FileUploadConstants

    public final class FileUploadConstants

extends java.lang.Object

Since:
  3.3.0
Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `FILE_UPLOAD_ACTION`
`static java.lang.String` | `FILE_UPLOAD_ACTION_PROGRESS`
`static java.lang.String` | `FILE_UPLOAD_ACTION_STOP`
`static java.lang.String` | `FILE_UPLOAD_INDICATOR` Request parameter name indicated that file was uploaded by RF component
`static java.lang.String` | `FILE_UPLOAD_REQUEST_ATTRIBUTE_NAME`
`static java.lang.String` | `PERCENT_BEAN_NAME` Session bean name where progress bar's percent map will be stored
`static java.lang.String` | `REQUEST_KEYS_BEAN_NAME` Session bean name where stop keys will be stored
`static java.lang.String` | `REQUEST_SIZE_BEAN_NAME` Session bean name where request size will be stored
`static java.lang.String` | `UPLOAD_FILES_ID` Request parameter that indicates if multipart request forced by rich file upload component
`static java.lang.String` | `UPLOADED_COUNTER` Session bean name to store max files count allowed to upload

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_UPLOAD_ACTION

    public static final java.lang.String FILE_UPLOAD_ACTION

See Also:
  Constant Field Values

### FILE_UPLOAD_ACTION_PROGRESS

    public static final java.lang.String FILE_UPLOAD_ACTION_PROGRESS

See Also:
  Constant Field Values

### FILE_UPLOAD_ACTION_STOP

    public static final java.lang.String FILE_UPLOAD_ACTION_STOP

See Also:
  Constant Field Values

### FILE_UPLOAD_INDICATOR

    public static final java.lang.String FILE_UPLOAD_INDICATOR

  Request parameter name indicated that file was uploaded by RF component

  See Also:
    Constant Field Values

### PERCENT_BEAN_NAME

    public static final java.lang.String PERCENT_BEAN_NAME

  Session bean name where progress bar's percent map will be stored

  See Also:
    Constant Field Values

### REQUEST_KEYS_BEAN_NAME

    public static final java.lang.String REQUEST_KEYS_BEAN_NAME

  Session bean name where stop keys will be stored

  See Also:
    Constant Field Values

### REQUEST_SIZE_BEAN_NAME

    public static final java.lang.String REQUEST_SIZE_BEAN_NAME

  Session bean name where request size will be stored

  See Also:
    Constant Field Values

### UPLOADED_COUNTER

    public static final java.lang.String UPLOADED_COUNTER

  Session bean name to store max files count allowed to upload

  See Also:
    Constant Field Values

### UPLOAD_FILES_ID

    public static final java.lang.String UPLOAD_FILES_ID

  Request parameter that indicates if multipart request forced by rich file upload component

  See Also:
    Constant Field Values

### FILE_UPLOAD_REQUEST_ATTRIBUTE_NAME

    public static final java.lang.String FILE_UPLOAD_REQUEST_ATTRIBUTE_NAME

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.